- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Public Attributes | List of all members
SignOn::BlobIOHandler Class Reference
Inheritance diagram for SignOn::BlobIOHandler:
[legend]

## Public Slots
void | readBlob ()

## Signals
void | dataReceived (const QVariantMap &map)
void | error ()

## Public Member Functions
| BlobIOHandler (QIODevice *inputChannel, QIODevice *outputChannel, QObject *parent=0)
bool | sendData (const QVariantMap &map)
void | receiveData (int expectedDataSize)
void | setReadChannelSocketNotifier (QSocketNotifier *notifier)

## Public Attributes
QIODevice * | m_readChannel
QIODevice * | m_writeChannel
QByteArray | m_blobBuffer
QSocketNotifier * | m_readNotifier
int | m_blobSize

## Detailed Description

Definition at line 34 of file blobiohandler.h.

The documentation for this class was generated from the following files:

- signon-plugins-common/SignOn/blobiohandler.h
- signon-plugins-common/SignOn/blobiohandler.cpp